
Table internet;
int rowCount;

String [] windSpeed;
String [] windDirection;
String [] time;
String [] surfaceTemperature;
String [] relativeHumidity;



void setup() {


  size(displayWidth, displayHeight);
  background(0);


  internet= new Table("weather.tsv"); 
  rowCount=2000;
  windSpeed= new String[rowCount];
  windDirection= new String[rowCount];
  time= new String[rowCount];
  surfaceTemperature= new String[rowCount];
  relativeHumidity= new String[rowCount];


  for (int i=1; i<rowCount; i++) {

    windSpeed[i] = internet.getString(i, 3);
    windDirection[i] = internet.getString(i, 4);
    time[i] = internet.getString(i, 0);
    surfaceTemperature[i] = internet.getString(i, 5);
    relativeHumidity[i] = internet.getString(i, 6);
  }
}

void draw() {
  //background(0);

  for (int i=1; i< rowCount; i++) {
    float wd = float(windDirection[i]);
    float ws = float(windSpeed[i]);
    float t = float(time[i]);
    float st = float(surfaceTemperature[i]);
    float rh = float(relativeHumidity[i]);




    //red

    fill(229, 43, 37, 40);
    noStroke();
    ellipse(500, height/2+120, 20, 20);
    //yellow
    fill(250, 242, 15, 20);
    noStroke();
    ellipse(210, height/2-215, 20, 20);
    //green
    fill(62, 185, 128, 50);
    noStroke();
    ellipse(50, height/2-150, 15, 15);
    //pink    
    fill(184, 27, 78, 40);
    noStroke();
    ellipse(width-200, height/2-60, 15, 15);

    fill(95, 100, 255, 15);
    noStroke();
    ellipse(width-400, height/2, 10, 10);


    //if (mousePressed==true && mouseX == 500 && mouseY == height/2+120) {
    if (mousePressed==true && mouseX > 490 &&  mouseX < 510 && mouseY > height/2+110 && mouseY < height/2+130) {

      fill(229, 43, 37, 40);
      noStroke();
      wd = map(wd, 195, 250, 1, 300);
      ellipse(i, height/2-wd, 20, 20);
    }


    //if (mousePressed==true && mouseX == 210 && mouseY == height/2-215) {
    if (mousePressed==true && mouseX > 200 &&  mouseX < 220 && mouseY > height/2-225 && mouseY < height/2-205) {
      fill(250, 242, 15, 20);
      noStroke();
      rh = map(rh, 76, 80, 1, 180);
      ellipse(i, height/2-rh, 20, 20);
    }


    //if (mousePressed==true && mouseX == 50 && mouseY == height/2-150) {
    if (mousePressed==true && mouseX > 43 &&  mouseX < 57 && mouseY > height/2-160 && mouseY < height/2-140) {
      fill(62, 185, 128, 50);
      noStroke();
      ws = map(ws, 5, 12, 1, 300);
      ellipse(i, height/2-ws, 15, 15);
    }


    //if (mousePressed==true && mouseX == width-200 && mouseY == height/2-60) {
    if (mousePressed==true && mouseX > width-210 &&  mouseX < width-190 && mouseY > height/2-70 && mouseY < height/2-50) {
      fill(184, 27, 78, 40);
      noStroke();
      st = map(st, 13, 16, 1, 300);
      ellipse(i, height/2-st+200, 15, 15);
    }
  }


  //if (mousePressed==true && mouseX == width-400 && mouseY == height/2) {
  if (mousePressed==true && mouseX > width-405 &&  mouseX < width-395 && mouseY > height/2-5 && mouseY < height/2+5) {
    //line
    stroke(95, 100, 255, 15);
    
      strokeWeight(10);
    line(0, height/2, width, height/2);


    stroke(95, 100, 255, 15);
    strokeWeight(20);
    line(0, height/2, width, height/2);

    stroke(95, 100, 255, 15);
    strokeWeight(30);
    line(0, height/2, width, height/2);

    stroke(95, 100, 255, 15);
    strokeWeight(40);
    line(0, height/2, width, height/2);

    stroke(95, 100, 255, 15);
    strokeWeight(60);
    line(0, height/2, width, height/2);

    stroke(95, 100, 255, 15);
    strokeWeight(80);
    line(0, height/2, width, height/2);

    stroke(95, 100, 255, 15);
    strokeWeight(100);
    line(0, height/2, width, height/2);

    stroke(95, 100, 255, 15);
    strokeWeight(200);
    line(0, height/2, width, height/2);
  }
}

